package com.academiaandroid.tareassegundoplano;

//Ejemplo aplicacin Android en el que realizaremos la programacin de tareas en segundo plano
//haciendo uso de las Clases Thread, Handler y AlarmManager
//
//academiaandroid.com
//
//by Jos Antonio Gzquez Rodrguez


import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.widget.Toast;

public class PlanificarTareas extends BroadcastReceiver{

	//Mtodo que ser invocado, cuando el BroadcastReceiver est recibiendo un intent,
	//en el que lanzaremos la tarea definida en la Activity principal. En este caso lanzaremos una tarea con las clases
	//Thread y Handler, a travs del mtodo runThread().
	@Override
	public void onReceive(Context context, Intent intent) {
		MainActivity.getInstance().runThread();		
		Toast.makeText(context, "Tarea programada en curso", Toast.LENGTH_LONG).show();		
	}
}
